#### D.5.12.16 Maxord

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  Maxord(L,n); L list, n integer

Compute:
  Find the maximal entry of a list, input is a list defining a monomial

Return:
  maximum entry of a list and its position

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1..3)),dp;
    ideal J=x(1)^2*x(2)*x(3)^5;
    list L=data(J,1,3);
    L[2]; // list of exponents
    ==> [1]:
    ==>    [1]:
    ==>       [1]:
    ==>          2
    ==>       [2]:
    ==>          1
    ==>       [3]:
    ==>          5
    Maxord(L[2][1][1],3);
    ==> 5 3

User manual for Singular version 4.4.1, 2025, generated by texi2html.